summaryrefslogtreecommitdiff
path: root/tools/linux_packaging/ardour.sh.in
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2010-11-04 02:39:45 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2010-11-04 02:39:45 +0000
commit1fb74e6818c6f19f27ef36ab351da36c0e5b0e26 (patch)
tree6bdc1115470d2aa5b23f2715421047bd3e2a3f40 /tools/linux_packaging/ardour.sh.in
parent389ea5a6aade38ac457278fd9deb52c2824044f5 (diff)
add linux bundle tools from 2.X
git-svn-id: svn://localhost/ardour2/branches/3.0@7960 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'tools/linux_packaging/ardour.sh.in')
-rw-r--r--tools/linux_packaging/ardour.sh.in34
1 files changed, 34 insertions, 0 deletions
diff --git a/tools/linux_packaging/ardour.sh.in b/tools/linux_packaging/ardour.sh.in
new file mode 100644
index 0000000000..c36e91bc24
--- /dev/null
+++ b/tools/linux_packaging/ardour.sh.in
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+BIN_DIR=$(dirname $(readlink -f $0))
+INSTALL_DIR=$(dirname $BIN_DIR)
+LIB_DIR=$INSTALL_DIR/lib
+ETC_DIR=$INSTALL_DIR/etc
+USER_ARDOUR_DIR=$HOME/.ardour2
+
+if [ ! -d $USER_ARDOUR_DIR ] ; then
+ mkdir -p $USER_ARDOUR_DIR || exit 1
+fi
+
+# this triggers code in main() that will reset runtime environment variables
+# to point to directories inside the ardour package
+
+export ARDOUR_BUNDLED=true
+
+# this is edited by the build script to include relevant environment variables
+
+%ENV%
+
+export GTK_PATH=$INSTALL_DIR${GTK_PATH:+:$GTK_PATH}
+export LD_LIBRARY_PATH=$INSTALL_DIR/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
+
+# create install-location-dependent config files for Pango and GDK image loaders
+# We have to do this every time because its possible that BIN_DIR has changed
+
+sed "s?@ROOTDIR@/modules?$LIB_DIR/modules?" < $ETC_DIR/pango.modules.in > $USER_ARDOUR_DIR/pango.modules
+sed "s?@ROOTDIR@/loaders?$LIB_DIR/loaders?" < $ETC_DIR/gdk-pixbuf.loaders.in > $USER_ARDOUR_DIR/gdk-pixbuf.loaders
+
+exec $INSTALL_DIR/bin/ardour-2.8.11 "$@"
+
+
+